# Uses of Class
org.apache.lucene.sandbox.search.PhraseWildcardQuery.TermStats

Packages that use PhraseWildcardQuery.TermStats
Package
Description
org.apache.lucene.sandbox.search
This package contains a flexible graph-based proximity query, TermAutomatonQuery, and geospatial queries.

- ## Uses of PhraseWildcardQuery.TermStats in org.apache.lucene.sandbox.search

  Methods in org.apache.lucene.sandbox.search that return types with arguments of type PhraseWildcardQuery.TermStats
  Modifier and Type
  Method
  Description
  `protected Map<BytesRef,PhraseWildcardQuery.TermStats>`
  PhraseWildcardQuery.`createTermStatsMap(PhraseWildcardQuery.MultiTerm multiTerm)`
  Creates a `PhraseWildcardQuery.TermStats` map for a `PhraseWildcardQuery.MultiTerm`.
  Method parameters in org.apache.lucene.sandbox.search with type arguments of type PhraseWildcardQuery.TermStats
  Modifier and Type
  Method
  Description
  `protected List<PhraseWildcardQuery.TermBytesTermState>`
  PhraseWildcardQuery.`collectMultiTermDataForSegment(PhraseWildcardQuery.MultiTerm multiTerm, LeafReaderContext leafReaderContext, int remainingExpansions, MutableValueBool shouldStopSegmentIteration, Map<BytesRef,PhraseWildcardQuery.TermStats> termStatsMap)`
  Collects the `TermState` list and `TermStatistics` for a multi-term on a specific index segment.
  `protected void`
  PhraseWildcardQuery.`collectMultiTermStats(IndexSearcher searcher, Map<BytesRef,PhraseWildcardQuery.TermStats> termStatsMap, PhraseWildcardQuery.TermsData termsData, PhraseWildcardQuery.TermData termData)`
  Collect the term stats across all segments.